top of page
  • Foto del escritorHolyHosting

Plugin ViaVersion para Minecraft

Al poseer un servidor de Minecraft, la amplia gama de versiones disponibles puede ser tanto una bendición como una maldición. Por un lado, puedes ajustar fácilmente la versión para adaptarla a los mods o complementos que necesitas, pero los jugadores pueden frustrarse cuando necesitan usar constantemente diferentes versiones para sus servidores.


Este problema se mitiga por completo a través del complemento ViaVersion, que se puede utilizar para permitir que los jugadores de versiones más nuevas se unan a un servidor más antiguo. Además, los complementos adicionales coincidentes también se pueden usar para que los jugadores más antiguos se conecten a un servidor al mismo tiempo. Con todos ellos juntos, los jugadores del servidor podrán unirse usando cualquier versión desde la 1.8 y superior sin ningún trabajo adicional. Con Holy Hosting, instalar complementos es tan simple como usar nuestro FTP File Access, por lo que hemos creado esta guía para facilitarte los pasos de instalación.


Resumen

ViaVersion es un complemento de Minecraft creado por FormallyMyles en CurseForge. Disponible para cualquier versión superior a la 1.8 y con más de 1.72 millones de descargas, este complemento enormemente popular se utiliza en muchos servidores. Utilizando

ViaVersion y sus complementos adicionales, los jugadores pueden unirse a un servidor ya sea que estén en una versión más reciente o más antigua.


Comprensión de los Complementos de ViaVersion

Si bien ViaVersion se puede usar por sí mismo, también está disponible para su uso con dos subcomplementos que tienen sus propias funcionalidades.


- ViaVersion: Permite que los jugadores se conecten mientras ejecutan una versión más nueva.


- ViaBackwards: Permite que los jugadores se conecten con una versión antigua de Minecraft posterior a la 1.8.


- ViaRewind: Similar a ViaBackwards, pero permite que los jugadores de 1.7 y 1.8 se conecten a un servidor más nuevo.


Gráfico de ViaVersion

Por ejemplo, si un servidor está ejecutando la versión 1.16 y deseas que un jugador de la 1.18 se una, se necesita ViaVersion en el servidor. En el mismo ejemplo, si un jugador de la 1.10 desea unirse, podría ser necesario ViaBackwards. Una guía visual de esto se puede encontrar en el gráfico anterior.


Descarga de ViaVersion

1. Ve a la [página de Spigot de ViaVersion](https://www.spigotmc.org/resources/viaversion.19254/).


2. En la esquina superior derecha, haz clic en el botón azul "Download".


3. Guarda el archivo en un lugar seguro para más tarde.


4. Si es necesario, realiza el mismo proceso con ViaBackwards o ViaRewind.


Una vez que esto esté completo, ¡estás listo para agregar los archivos .jar a tu servidor de Minecraft!


Instalación en el Servidor

1. Ve al Panel del Servidor de Holy, luego detén el servidor.


2. Desplázate hacia abajo hasta la sección "Game File" y toma nota de la versión del servidor.


3. Asegúrate de que la versión sea compatible con complementos, como PaperMC o Spigot.


4. Después, ingresa a "FTP File Access" en el menú de la izquierda e inicia sesión.


5. Encuentra o crea la carpeta "plugins" y entra en ella.


6. Presiona "Upload" en el menú superior izquierdo y arrastra y suelta el/los archivo(s) .jar.


7. Una vez que alcance el 100%, regresa a la página principal y reinicia el servidor.


Uso

Una vez instalado, un reinicio simple del servidor permitirá que ViaVersion y sus complementos se activen automáticamente. El complemento funcionará sin necesidad de configuración y se puede probar de inmediato. Si se utiliza la versión 1.7, puede ser necesario instalar el complemento ProtocolSupport. De lo contrario, como antes, todo funcionará automáticamente.


Esto puede ser extremadamente beneficioso si se ejecutan otros complementos como Geyser, ya que las actualizaciones de versiones de Bedrock y Java pueden ser inconsistentes. ViaVersion elimina por completo este problema, siempre y cuando el complemento se actualice de vez en cuando cuando se lancen nuevas versiones.


Problemas Comunes

1. Tengo problemas para unirme con la versión 1.7:

Si estás utilizando ViaRewind y tienes problemas al unirte con la versión 1.7 del servidor, podría haber algunos problemas potenciales. Primero, intenta instalar la última versión de ProtocolSupport en tu servidor. Si aún hay problemas o experimentas bloqueos del juego, intenta reducir la distancia de renderización en el juego, ya que la versión 1.7 puede bloquearse si la distancia es demasiado alta.


2. ¡Servidor desactualizado! Todavía estoy en X.X.X:

Si recibes este error en algún momento, podría deberse principalmente a que un jugador se está uniendo desde la versión más reciente de Minecraft y el complemento ViaVersion aún no se ha actualizado. Para solucionarlo, vuelve a la página de Spigot de ViaVersion y descarga la última versión. Una vez completo, visita FTP File Access y la carpeta de complementos como antes mientras el servidor está apagado. Elimina el archivo .jar antiguo y reemplázalo con el más reciente. Luego, reinicia el servidor para intentarlo nuevamente.


3. Mis bloques se ven extraños:

Este es un posible efecto secundario del proceso que utiliza el complemento para enviar datos a versiones más antiguas del juego. Para solucionarlo: ve al archivo de configuración de ViaVersion y cambia "serverside-blockconnections" a "true". El archivo de configuración se puede encontrar en la pestaña "Config Files" del panel de control, o en FTP File Access bajo la carpeta de complementos.

70 visualizaciones

Comments


CREA TU SERVIDOR

¿LISTO PARA COMENZAR?

¡Comienza hoy y te ofreceremos un 10% de descuento en tu primera factura con nuestra promoción de nuevos clientes!

Etiqueta.png
Ver promociones y cupones activos
bottom of page